%global debug_package %{nil}
%global project                 GoogleCloudPlatform
%global repo                    heapster
%global commit                  af4752e8f366cdce38d5b768c2f6ec36248ec9e3
%global shortcommit             %(c=%{commit}; echo ${c:0:7})
 
Name:           heapster
Version:        1.3.0
Release:        3%{?dist}
#Release:        4.git%{shortcommit}%{?dist}
Summary:        Heapster enables Container Cluster Monitoring.
License:        ASL 2.0
URL:            https://github.com/GoogleCloudPlatform/heapster
Source0:        https://github.com/GoogleCloudPlatform/heapster/archive/v%{version}.tar.gz
#Source0:        https://github.com/%{project}/%{repo}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
Source1:        heapster.sysconfig
Source2:        heapster.service
# Fix performance regression
Patch1:         BZ1465532.patch
BuildRequires:  golang >= 1.2-7
BuildRequires:  systemd
Requires(post): systemd
Requires(preun):  systemd
Requires(postun): systemd
ExclusiveArch:  %{?go_arches:%{go_arches}}%{!?go_arches:%{ix86} x86_64 %{arm} aarch64 ppc64le s390x}

%description
Heapster enables Container Cluster Monitoring.

Heapster currently supports Kubernetes and CoreOS natively.
It can be extended to support other cluster management
solutions easily. While running in a Kube cluster, heapster
collects compute resource usage of all pods and nodes.

%prep
%setup -qn %{name}-%{version}
#%setup -qn %{repo}-%{commit}

%patch1 -p1

%build
# set up temporary build gopath, and put our directory there
mkdir -p ./_build/src/k8s.io
ln -s $(pwd) ./_build/src/k8s.io/heapster

export GOPATH=$(pwd)/_build:$(pwd)/Godeps/_workspace:%{gopath}
go build -o heapster k8s.io/heapster/metrics
go build -o eventer k8s.io/heapster/events

%install
install -d %{buildroot}%{_bindir}
install -p -m 0755 ./heapster %{buildroot}%{_bindir}/heapster
install -p -m 0755 ./eventer %{buildroot}%{_bindir}/eventer

# sysconfig
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
install -p -m 0755 %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/heapster
 
# systemd
mkdir -p %{buildroot}%{_unitdir}
install -p -m 0644 %{SOURCE2} %{buildroot}%{_unitdir}/heapster.service
 
%post
%systemd_post heapster.service
 
%preun
%systemd_preun heapster.service
 
%postun
%systemd_postun heapster.service

%files
%doc CONTRIBUTING.md LICENSE README.md
%{_bindir}/heapster
%{_bindir}/eventer
%{_sysconfdir}/sysconfig/heapster
%{_unitdir}/heapster.service

%changelog
* Thu Nov 16 2017 Yaakov Selkowitz <yselkowi@redhat.com> - 1.3.0-3
- Rebuilt for multi-arch enablement

* Mon Apr 10 2017 Troy Dawson <tdawson@redhat.com> - 1.3.0-1
- Update to 1.3.0

* Thu Oct 20 2016 Troy Dawson <tdawson@redhat.com> - 1.2.0-1
- Update to 1.2.0
- Remove Patch: golang1.4-compat
-- Not needed anymore
- Remove Patch: heapster-verbose
-- Fixed in this version

* Thu Aug 11 2016 Troy Dawson <tdawson@redhat.com> - 1.1.0-1-beta2-1
- Fix Heapster "Failed to find node" warning and verbose logging
-- Fixes bugzilla #1366367

* Fri May 27 2016 Troy Dawson <tdawson@redhat.com> - 1.1.0-1-beta2
- Update to v1.1.0-beta2
- Remove Patch: Fix nil pointer reference panic in kube_nodes
-- Fixed in this version
- Remove Patch: Use node name instead of ExternalID
-- Fixed in this version
- Patch: heapster-1.1.0-golang1.4-compat.patch
-- Allow heapster 1.1.0 to build on golang 1.4

* Tue Mar 15 2016 Troy Dawson <tdawson@redhat.com> - 0.18.2-4.git
- Use node name instead of ExternalID
-- Fixes bugzilla #1284700

* Mon Jan 18 2016 Troy Dawson <tdawson@redhat.com> - 0.18.2-3.git
- Fix nil pointer reference panic in kube_nodes
-- Fixes issues #658 and #682

* Wed Oct 14 2015 Chris Murphy <chmurphy@redhat.com> - 0.18.2-2.git
- Update to latest master release

* Thu Oct 08 2015 Troy Dawson <tdawson@redhat.com> - 0.18.2-1
- Update to 0.18.2
- Fix sysconfig and service files

* Wed Sep 30 2015 Troy Dawson <tdawson@redhat.com> - 0.18.1-2.git
- Update to latest master release

* Mon Sep 28 2015 Troy Dawson <tdawson@redhat.com> - 0.18.1-1
- Update to 0.18.1

* Tue Sep 8 2015 Chris Murphy <chmurphy@redhat.com> - 0.16.1-3
- Add sysconfig configuration file
 
* Thu Sep 3 2015 Chris Murphy <chmurphy@redhat.com> - 0.16.1-2
- Updated to include Systemd service file, Build Requires, and Scriplets

* Fri Aug 28 2015 Troy Dawson <tdawson@redhat.com> - 0.16.1-1
- Initial Build
